MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Types
BindMethodDetail::MethodSignatureHelper< R(T::*)(Args...)> Struct Template Reference

`#include <BindMethod.hxx>`

## Public Types
typedef T | class_type
| The class which contains the given method (signature). More...
typedef R | plain_signature(Args...)
| A function type which describes the "plain" function signature. More...

## Detailed Description

### template<typename R, typename T, typename... Args>
struct BindMethodDetail::MethodSignatureHelper< R(T::*)(Args...)>

Definition at line 108 of file BindMethod.hxx.

## Member Typedef Documentation

template<typename R , typename T , typename... Args>

typedef T BindMethodDetail::MethodSignatureHelper< R(T::*)(Args...)>::class_type

The class which contains the given method (signature).

Definition at line 112 of file BindMethod.hxx.

template<typename R , typename T , typename... Args>

typedef R BindMethodDetail::MethodSignatureHelper< R(T::*)(Args...)>::plain_signature(Args...)

A function type which describes the "plain" function signature.

Definition at line 118 of file BindMethod.hxx.

The documentation for this struct was generated from the following file:

- util/BindMethod.hxx